> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Quote



## OpenAPI

````yaml /reference/link-transaction.json get /transactions/v2/direct_ramp/rate_quote
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/direct_ramp/rate_quote:
    get:
      tags:
        - Pan-Africa Ramp
      summary: Rate Quote
      operationId: get_ramp_quote
      parameters:
        - in: query
          name: customer_id
          schema:
            type: string
          required: true
        - in: query
          name: asset
          schema:
            type: string
            enum:
              - NGN
              - GHS
              - KES
              - ZAR
              - USDT
              - USDC
          required: true
          description: 'Available currencies. NOTE: USDT/USDC are for offramp only'
        - in: query
          name: amount
          schema:
            type: string
          required: true
          description: amount to on ramp or offramp based of currency.
        - in: query
          name: trx_type
          schema:
            type: string
            enum:
              - onramp
              - offramp
          description: >-
            Transaction type: "onramp" for "Fiat"→Stables, "offramp" for
            Stables→"Fiat". 
          required: true
        - in: query
          name: payment_method
          schema:
            type: string
          required: true
          description: Differs for each currency. Call the Get payment Method endpoint.
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````